//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
const IMAGE_FORMAT_BMP = 1; 
const IMAGE_FORMAT_EMF = 2; 
const IMAGE_FORMAT_WMF = 3; 
const IMAGE_FORMAT_JPG = 4; 
const IMAGE_FORMAT_PNG = 5; 
const IMAGE_FORMAT_GIF = 6; 
const IMAGE_FORMAT_TIF = 7;  
const IMAGE_FORMAT_PCX = 8; 
const IMAGE_FORMAT_TGA = 9;  
const IMAGE_FORMAT_JP2 = 10;
const IMAGE_FORMAT_RAS = 11;
const IMAGE_FORMAT_JPC = 12;
//---------------------------------------------------------------------------
//The compression method in the generated TIFF file.
const COMPRESSION_NONE		= 0; 
const COMPRESSION_LZW		= 1;
const COMPRESSION_JPEG		= 2;
const COMPRESSION_PACKBITS	= 3;
const COMPRESSION_CCITTG4	= 4;
const COMPRESSION_CCITTG3	= 5;
const COMPRESSION_RLE		= 6;  
//---------------------------------------------------------------------------
const BITCOUNT_1	= 1;	//black/white( 1 bits )
const BITCOUNT_4G	= 3;	//16 color grayscale( 4 bits )
const BITCOUNT_4	= 4;	//16 color( 4 bits )
const BITCOUNT_8G	= 7;	//256 color grayscale( 8 bits )
const BITCOUNT_8	= 8;	//256 color( 8 bits )
const BITCOUNT_24	= 24;	//True color( 24 bits )
//---------------------------------------------------------------------------
typedef long __stdcall MBegin();
typedef long __stdcall MEnd(long id);
typedef long __stdcall MConvert(long id,char *infile,char *outpath,char *filename);
typedef long __stdcall MSetParam( long id,long imagetype,long bitcount,long quality,
								 long rotate,long width,long height,long xdpi,long ydpi,
								 long compression,long multipage);
//---------------------------------------------------------------------------

class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TButton *Button1;
    TButton *Button2;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
private:	// User declarations

	HMODULE			m_hinstLib;
	MBegin			*pMBegin;
	MConvert		*pMConvert;
	MSetParam		*pMSetParam;	
	MEnd			*pMEnd;

private:
	BOOL LoadpcltoimageDll();
	BOOL FreepcltoimageDll();
    
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
